template<int T> class C {
public:
  int size[T];
  int foo();
};

template<int T> int C<T>::foo() {
  int a = 2;
  return 2;
}

C<3> bac2;

extern int nodebugfn();

int main()
{
  bac2.foo();
  nodebugfn();
}
